Module jdk.compiler
Package com.sun.source.doctree

## Enum AttributeTree.ValueKind

- java.lang.Object
- - java.lang.Enum<AttributeTree.ValueKind>
  - - com.sun.source.doctree.AttributeTree.ValueKind

All Implemented Interfaces:
  Serializable, Comparable<AttributeTree.ValueKind>

Enclosing interface:
  AttributeTree

    public static enum AttributeTree.ValueKind
    extends Enum<AttributeTree.ValueKind>

The kind of an attribute value.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOUBLE` The attribute value is enclosed in double quotation marks.
`EMPTY` The attribute value is empty.
`SINGLE` The attribute value is enclosed in single quotation marks.
`UNQUOTED` The attribute value is not enclosed in quotes.

### Method Summary

All Methods Static Methods Concrete Methods
`static AttributeTree.ValueKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AttributeTree.ValueKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOUBLE

    public static final AttributeTree.ValueKind DOUBLE

The attribute value is enclosed in double quotation marks.

#### EMPTY

    public static final AttributeTree.ValueKind EMPTY

The attribute value is empty.

#### SINGLE

    public static final AttributeTree.ValueKind SINGLE

The attribute value is enclosed in single quotation marks.

#### UNQUOTED

    public static final AttributeTree.ValueKind UNQUOTED

The attribute value is not enclosed in quotes.

### Method Detail

#### values

    public static AttributeTree.ValueKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AttributeTree.ValueKind c : AttributeTree.ValueKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AttributeTree.ValueKind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null